echo $(upperme): $@ >&2
}
-if [ $(pidof -x $(basename $0) | wc -w) -gt 2 ]; then
- scottyerror Another instance of $(basename $0) is already running!
- exit 1
-fi
-
-while getopts "qn:" opt; do
- case $opt in
- q)
- exec > /dev/null
- ;;
- n)
- BACKUP_RUNEVERYNTHDAY=$OPTARG
- ;;
- esac
-done
-
function grepbackups {
ssh $REMOTE_HOST "ls $REMOTE_DIR" | grep -E '[0-9]+-[0-9]+'
}
done
}
+function deleteLock {
+ if ! rmdir /tmp/$(basename $0).lock; then
+ scottyerror "Could not delete lockfile /tmp/$(basename $0).lock!"
+ fi
+}
+
function prepare {
scottyinfo "Preparing for sync"
}
function _cleanup_abrt {
scottyerror "Caught exit signal! Cleaning up..."
+
cleanup_abrt
+
if [ $(jobs -p) ]; then
scottyerror TERMinating remaining child processes...
kill $(jobs -p)
fi
+ deleteLock
exit
}
function _cleanup_normal {
cleanup_normal
+ deleteLock
}
function backmeupscotty {
trap - EXIT
}
+
+if ! mkdir /tmp/$(basename $0).lock; then
+ scottyerror "Another instance of $(basename $0) is still running!"
+ exit 1
+fi
+
+while getopts "qn:" opt; do
+ case $opt in
+ q)
+ exec > /dev/null
+ ;;
+ n)
+ BACKUP_RUNEVERYNTHDAY=$OPTARG
+ ;;
+ esac
+done